
#include "fds.h"
#include "init.h"
#include "gpio.h"
#include "timeslot.h"


// Blue LED is blinking while the main button released
void LedBlink()
{
//	unsigned int i=0;
//	
//	while (nrf_gpio_pin_read(12)!=0) {	// poll the main button state

//		SendBle('E');
//		
//		nrf_delay_ms(10);
//		i++;
//		if((i>0)&&(i<5)) {LED1(1);}
//		if((i>5)&&(i<200)) {LED1(0);}
//		if(i>200) {
//			i=0;
//			idle_state_handle();
//		}
//	}
//	LED1(0);
}



int main(void)
{
	bleInit();
	gpioInit();
	timeslot_sd_init();
		
  while (1) {	
		idle_state_handle();
  }
}

